## org.apache.fop.dom.svg
Class SVGAnimatedLengthListImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGListImpl
            |
            +--org.apache.fop.dom.svg.SVGAnimatedLengthListImpl

public class SVGAnimatedLengthListImpl
extends SVGListImpl
implements org.w3c.dom.svg.SVGAnimatedLengthList

a length quantity in XSL

Constructor Summary
`SVGAnimatedLengthListImpl()`

Method Summary
`org.w3c.dom.svg.SVGLengthList` `getAnimVal()`
`org.w3c.dom.svg.SVGLengthList` `getBaseVal()`
`void` `setBaseVal(org.w3c.dom.svg.SVGLengthList baseVal)`

Methods inherited from class org.apache.fop.dom.svg.SVGListImpl
`clear, getNumberOfItems, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGAnimatedLengthListImpl

    public SVGAnimatedLengthListImpl()

Method Detail

### getBaseVal

    public org.w3c.dom.svg.SVGLengthList getBaseVal()

  Specified by:
    getBaseVal in interface org.w3c.dom.svg.SVGAnimatedLengthList

### setBaseVal

    public void setBaseVal(org.w3c.dom.svg.SVGLengthList baseVal)

### getAnimVal

    public org.w3c.dom.svg.SVGLengthList getAnimVal()

  Specified by:
    getAnimVal in interface org.w3c.dom.svg.SVGAnimatedLengthList

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.